@import "../../../../assets/styles/variables.scss";

.mass-edit-input {
    max-width: 55px;
    text-align: center;

    .mat-mdc-form-field-wrapper {
        padding-bottom: 0;
    }

    .mat-mdc-form-field-infix {
        border-top: 0;
    }

    .mat-mdc-form-field-underline {
        bottom: .25em;
    }
}

.mat-table-wrapper {
    border-radius: 6px;
    position: relative;
    display: block;
    height: auto;
    overflow: auto;

    /* Custom table */
    .mat-mdc-table {
        &.table-foods {
            flex: 1;
    
            &.table-products-big {
    
                tbody tr {
                    position: relative;
                    padding: 16px;
                    border-radius: 3px;
                    background: white;
                    height: 56px;
                    margin: 0 10px;
                    transition: .13s background ease-in-out;
    
                    &:hover {
                        background: #f4f5f7;
                    }
                }
            }
    
            thead th.mat-header-cell:not(:first-child),tbody td.mat-cell:not(:first-child) {
                text-align: center;
            }
    
            .undo-cell {
                padding: 6px 12px;
                cursor: pointer;
                opacity: .6;
                transition: .13s opacity ease-in-out;
    
                &:hover {
                    opacity: 1;
                }
    
                > .mat-icon {
                    color: #ff4081;
                    font-size: 22px;
                    display: flex;
                    align-items: center;
                }
            }
    
            .actions-cell {
                opacity: .6;
                transition: .13s opacity ease-in-out;
    
                &:hover {
                    opacity: 1;
                }
    
                .mat-icon {
                    font-size: 20px;
                }
            }
    
            .brand-cell {
                .mat-mdc-chip {
                    color: white;
                    min-height: 1px;
                    font-size: 11px;
                    border-radius: 16px;
                    padding: 12px 12px;
                    line-height: 1;
                }
            }
    
            .wrap-info {
                display: flex;
    
                .wrap-image {
                    border: 1px solid #d6d6d6;
                    background: #f3f3f7;
                    width: 38px;
                    height: 38px;
                    min-height: 38px;
                    min-width: 38px;
                    margin-left: 0.5rem;
                    background-size: contain;
                    background-repeat: no-repeat;
                    background-position: center;
                    border-radius: 4px;
    
                    + .wrap-name {
                        margin-left: 1rem;
                    }
                }
        
                .wrap-name {
                    display: flex;
                    align-items: center;
        
                    .mat-mdc-chip {
                        padding: 7px;
                        min-height: 21px;
                        font-size: 11px;
                        margin-left: 10px;
                    }
                }
    
            }
        }
    }
}


   